Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class PKIXCertPathValidatorSpi

    java.lang.Object
      |
      +--org.bouncycastle.jce.cert.CertPathValidatorSpi
            |
            +--org.bouncycastle.jce.provider.PKIXCertPathValidatorSpi

public class PKIXCertPathValidatorSpi
extends CertPathValidatorSpi

CertPathValidatorSpi implemenation for X.509 Certificate validation ala rfc 3280

Constructor Summary
`PKIXCertPathValidatorSpi()`

Method Summary
`CertPathValidatorResult` | `engineValidate(CertPath certPath, CertPathParameters params)` Validates the specified certification path using the specified algorithm parameter set. The `CertPath` specified must be of a type that is supported by the validation algorithm, otherwise an `InvalidAlgorithmParameterException` will be thrown.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PKIXCertPathValidatorSpi

    public PKIXCertPathValidatorSpi()

Method Detail

### engineValidate

    public CertPathValidatorResult engineValidate(CertPath certPath,
                                                  CertPathParameters params)
                                           throws CertPathValidatorException,
                                                  java.security.InvalidAlgorithmParameterException

  Description copied from class: `CertPathValidatorSpi`
  Validates the specified certification path using the specified algorithm parameter set.
  The `CertPath` specified must be of a type that is supported by the validation algorithm, otherwise an `InvalidAlgorithmParameterException` will be thrown. For example, a `CertPathValidator` that implements the PKIX algorithm validates `CertPath` objects of type X.509.
  Overrides:
    `engineValidate` in class `CertPathValidatorSpi`
  Following copied from class: `org.bouncycastle.jce.cert.CertPathValidatorSpi`
  Parameters:
    `certPath` - the `CertPath` to be validated
    `params` - the algorithm parameters
  Returns:
    the result of the validation algorithm
  Throws:
    `CertPathValidatorException` - if the `CertPath` does not validate
    `java.security.InvalidAlgorithmParameterException` - if the specified parameters or the type of the specified `CertPath` are inappropriate for this `CertPathValidator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD